package com.hxhq.business.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.hxhq.common.core.domain.MpBaseEntity;


/**
 * 试验-学科-成员对象 t_study_subject_user
 *
 * @author hxhq
 * @date 2025-12-29
 */
@TableName("t_study_subject_user")
public class StudySubjectUser extends MpBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 所属试验 */
    private Long studyId;

    /** 所属试验-学科 */
    private Long studySubjectId;

    /** 用户id */
    private Long userId;

    /** 用户姓名 */
    private String userName;

    /** 用户姓名-英文 */
    private String userNameEn;

    public Long getStudyId() {
        return studyId;
    }

    public void setStudyId(Long studyId) {
        this.studyId = studyId;
    }

    public void setStudySubjectId(Long studySubjectId)
    {
        this.studySubjectId = studySubjectId;
    }

    public Long getStudySubjectId()
    {
        return studySubjectId;
    }

    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }

    public void setUserName(String userName)
    {
        this.userName = userName;
    }

    public String getUserName()
    {
        return userName;
    }

    public String getUserNameEn() {
        return userNameEn;
    }

    public void setUserNameEn(String userNameEn) {
        this.userNameEn = userNameEn;
    }
}
